
QGIS Application - Bug report #18982

QGIS nightly didn't start

2018-05-18 11:38 AM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.1(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26813

Description

QGIS - nightly 3.1.0.68 showes only the splaschscreen.

History

#1 - 2018-05-18 11:55 AM - Jürgen Fischer

If it's a general QGIS problem include the SHA please.

OSGeo4W bugtracker is https://trac.osgeo.org/osgeo4w (also include the architecture; the latest version on x86 is 3.0.1-69, while x86_64 is at 3.0.1-68,

but both are commit:c27ce39205).

#2 - 2018-05-26 07:04 PM - Torsten Hase

Sorry I don't know what SHA means.

In the last crash I get following report:

h2. User Feedback

Report Details

Crash ID: 147561b020810973e7803b093f8191e3ff7090d3

Stack Trace

QObject::connect :

PyInit_QtCore :

PyFrame_New :

PyObject_Call :

PyInit_sip :

meth_QgsMapToolAdvancedDigitizing_createRubberBand sip_guipart2.cpp:147912

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

QgsPythonUtilsImpl::runStringUnsafe qgspythonutilsimpl.cpp:300

QgsPythonUtilsImpl::runString qgspythonutilsimpl.cpp:312

QgsPythonRunnerImpl::runCommand qgisapp.cpp:9817

QgsPythonRunner::run qgspythonrunner.cpp:33

QgsPluginManager::buttonInstall_clicked qgspluginmanager.cpp:1347

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgsPluginManager::*)(void) __ptr64>::call

qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsPluginManager::*)(void) __ptr64>::call<QtPrivate::List<>,void> qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsPluginManager::*)(void) __ptr64,QtPrivate::List<>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsAppPluginManagerInterface::showPluginManager qgsapppluginmanagerinterface.cpp:39

meth_QgsPluginManagerInterface_showPluginManager sip_guipart2.cpp:30527

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

QgsPythonUtilsImpl::runStringUnsafe qgspythonutilsimpl.cpp:300

QgsPythonUtilsImpl::runString qgspythonutilsimpl.cpp:312

QgsPythonRunnerImpl::runCommand qgisapp.cpp:9817

QgsPythonRunner::run qgspythonrunner.cpp:33

QgisApp::showPluginManager qgisapp.cpp:9795

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgisApp::*)(void) __ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgisApp::*)(void) __ptr64>::call<QtPrivate::List<>,void> qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgisApp::*)(void) __ptr64,QtPrivate::List<>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1434

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.1.0-Master

QGIS code revision: commit:310bfb1e3e

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Hope tha helps.

#3 - 2018-05-27 03:50 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Looks like a plugin related bug - most likely the crashes due to a recent update of the 3rd-party "Digitizing tools" plugin.

#4 - 2018-05-27 10:30 AM - Jürgen Fischer

Torsten Wiebke wrote:

Sorry I don't know what SHA means.

That's it:

QGIS code revision: commit:310bfb1e3e
